<template>
  <div @mousedown.stop="deleteLine" class="wrapper">
    <el-button type="danger" icon="el-icon-delete" circle></el-button>
  </div>
</template>

<script>
export default {
  props: {
    map: {
      type: Object,
    },
    marker: {
      type: Object,
    },
  },
  created() {

  },
  methods: {
    deleteLine() {
      // console.log("999999")
      this.map.workerManAttrRemove(this.marker);
      this.marker.infoWindow.close();
      
    },
  },
};
</script>

<style  lang="scss" scoped>
.wrapper {
  width: 36px;
  height: 36px;
  // background: #fff;
}
</style>